Bug 6134 - unable to delete files from ntfs-3g share
unable to delete files from ntfs-3g share
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: File services
3.3.0
x86 Linux
: P3 normal
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 11:49 UTC by Johan R
Modified: 2009-05-03 03:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johan R 2009-02-22 11:49:43 UTC
With the recent samba 3.3.0 upgrade on archlinux i can no longer delete files via my ntfs-3g share.

I can create files, folders, change files, delete folders but not delete files.

My existing share looks like this and worked fine with samba 3.2.7 :

[shared]
   comment = shared
   path = /mnt/files/shared
   valid users = <username>
   public = no
   writable = yes
   printable = no

If i set up an identical share to a folder in my ext3 file system all is fine with 3.3.0.

This should be easy to reproduce by setting up a share like mine above to both a ntfs-3g folder and a ext3/4 folder.

Here are my level 3 logs from a delete command to a ntfs-3g share and a ext3 share:

ntfs-3g
=======
[2009/02/22 17:45:17,  3] smbd/process.c:process_smb(1554)
  Transaction 89 of length 98 (0 toread)
[2009/02/22 17:45:17,  3] smbd/process.c:switch_message(1378)
  switch message SMBtrans2 (pid 5113) conn 0xb8aec9e8
[2009/02/22 17:45:17,  3] smbd/trans2.c:call_trans2qfilepathinfo(3943)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 263
[2009/02/22 17:45:17,  3] locking/locking.c:fetch_share_mode_unlocked(857)
  fill_share_mode_lock failed
[2009/02/22 17:45:17,  3] smbd/trans2.c:call_trans2qfilepathinfo(4057)
  call_trans2qfilepathinfo new file (fnum = -1) level=263 call=5 total_data=0
[2009/02/22 17:45:18,  3] smbd/process.c:process_smb(1554)
  Transaction 90 of length 98 (0 toread)
[2009/02/22 17:45:18,  3] smbd/process.c:switch_message(1378)
  switch message SMBtrans2 (pid 5113) conn 0xb8aec9e8
[2009/02/22 17:45:18,  3] smbd/trans2.c:call_trans2qfilepathinfo(3943)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 263
[2009/02/22 17:45:18,  3] locking/locking.c:fetch_share_mode_unlocked(857)
  fill_share_mode_lock failed
[2009/02/22 17:45:18,  3] smbd/trans2.c:call_trans2qfilepathinfo(4057)
  call_trans2qfilepathinfo new file (fnum = -1) level=263 call=5 total_data=0
[2009/02/22 17:45:18,  3] smbd/process.c:process_smb(1554)
  Transaction 91 of length 98 (0 toread)
[2009/02/22 17:45:18,  3] smbd/process.c:switch_message(1378)
  switch message SMBtrans2 (pid 5113) conn 0xb8aec9e8
[2009/02/22 17:45:18,  3] smbd/trans2.c:call_trans2qfilepathinfo(3943)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 263
[2009/02/22 17:45:18,  3] locking/locking.c:fetch_share_mode_unlocked(857)
  fill_share_mode_lock failed
[2009/02/22 17:45:18,  3] smbd/trans2.c:call_trans2qfilepathinfo(4057)
  call_trans2qfilepathinfo new file (fnum = -1) level=263 call=5 total_data=0
[2009/02/22 17:45:18,  3] smbd/process.c:process_smb(1554)
  Transaction 92 of length 62 (0 toread)
[2009/02/22 17:45:18,  3] smbd/process.c:switch_message(1378)
  switch message SMBunlink (pid 5113) conn 0xb8aec9e8
[2009/02/22 17:45:18,  3] smbd/reply.c:reply_unlink(2618)
  reply_unlink : new file
[2009/02/22 17:45:18,  3] smbd/dosmode.c:unix_mode(124)
  unix_mode(./new file) returning 0744
[2009/02/22 17:45:18,  3] smbd/error.c:error_packet_set(61)
  error packet at smbd/reply.c(2628) cmd=6 (SMBunlink) NT_STATUS_ACCESS_DENIED
[2009/02/22 17:45:18,  3] smbd/process.c:process_smb(1554)
  Transaction 93 of length 98 (0 toread)
[2009/02/22 17:45:18,  3] smbd/process.c:switch_message(1378)
  switch message SMBtrans2 (pid 5113) conn 0xb8aec9e8
[2009/02/22 17:45:18,  3] smbd/trans2.c:call_trans2qfilepathinfo(3943)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 263
[2009/02/22 17:45:18,  3] locking/locking.c:fetch_share_mode_unlocked(857)
  fill_share_mode_lock failed
[2009/02/22 17:45:18,  3] smbd/trans2.c:call_trans2qfilepathinfo(4057)
  call_trans2qfilepathinfo new file (fnum = -1) level=263 call=5 total_data=0
[2009/02/22 17:45:18,  3] smbd/process.c:process_smb(1554)
  Transaction 94 of length 98 (0 toread)
[2009/02/22 17:45:18,  3] smbd/process.c:switch_message(1378)
  switch message SMBtrans2 (pid 5113) conn 0xb8aec9e8
[2009/02/22 17:45:18,  3] smbd/trans2.c:call_trans2qfilepathinfo(3943)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 263
[2009/02/22 17:45:18,  3] locking/locking.c:fetch_share_mode_unlocked(857)
  fill_share_mode_lock failed
[2009/02/22 17:45:18,  3] smbd/trans2.c:call_trans2qfilepathinfo(4057)
  call_trans2qfilepathinfo new file (fnum = -1) level=263 call=5 total_data=0


ext3
====
[2009/02/22 17:43:25,  3] smbd/process.c:process_smb(1554)
  Transaction 68 of length 98 (0 toread)
[2009/02/22 17:43:25,  3] smbd/process.c:switch_message(1378)
  switch message SMBtrans2 (pid 5078) conn 0xb8aecbe8
[2009/02/22 17:43:25,  3] smbd/trans2.c:call_trans2qfilepathinfo(3943)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 263
[2009/02/22 17:43:25,  3] locking/locking.c:fetch_share_mode_unlocked(857)
  fill_share_mode_lock failed
[2009/02/22 17:43:25,  3] smbd/trans2.c:call_trans2qfilepathinfo(4057)
  call_trans2qfilepathinfo new file (fnum = -1) level=263 call=5 total_data=0
[2009/02/22 17:43:26,  3] smbd/process.c:process_smb(1554)
  Transaction 69 of length 98 (0 toread)
[2009/02/22 17:43:26,  3] smbd/process.c:switch_message(1378)
  switch message SMBtrans2 (pid 5078) conn 0xb8aecbe8
[2009/02/22 17:43:26,  3] smbd/trans2.c:call_trans2qfilepathinfo(3943)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 263
[2009/02/22 17:43:26,  3] locking/locking.c:fetch_share_mode_unlocked(857)
  fill_share_mode_lock failed
[2009/02/22 17:43:26,  3] smbd/trans2.c:call_trans2qfilepathinfo(4057)
  call_trans2qfilepathinfo new file (fnum = -1) level=263 call=5 total_data=0
[2009/02/22 17:43:26,  3] smbd/process.c:process_smb(1554)
  Transaction 70 of length 98 (0 toread)
[2009/02/22 17:43:26,  3] smbd/process.c:switch_message(1378)
  switch message SMBtrans2 (pid 5078) conn 0xb8aecbe8
[2009/02/22 17:43:26,  3] smbd/trans2.c:call_trans2qfilepathinfo(3943)
  call_trans2qfilepathinfo: TRANSACT2_QPATHINFO: level = 263
[2009/02/22 17:43:26,  3] locking/locking.c:fetch_share_mode_unlocked(857)
  fill_share_mode_lock failed
[2009/02/22 17:43:26,  3] smbd/trans2.c:call_trans2qfilepathinfo(4057)
  call_trans2qfilepathinfo new file (fnum = -1) level=263 call=5 total_data=0
[2009/02/22 17:43:26,  3] smbd/process.c:process_smb(1554)
  Transaction 71 of length 62 (0 toread)
[2009/02/22 17:43:26,  3] smbd/process.c:switch_message(1378)
  switch message SMBunlink (pid 5078) conn 0xb8aecbe8
[2009/02/22 17:43:26,  3] smbd/reply.c:reply_unlink(2618)
  reply_unlink : new file
[2009/02/22 17:43:26,  3] smbd/dosmode.c:unix_mode(124)
  unix_mode(./new file) returning 0744
[2009/02/22 17:43:26,  2] smbd/open.c:open_file(475)
  johanr opened file ./new file read=No write=No (numopen=1)
[2009/02/22 17:43:26,  2] smbd/close.c:close_normal_file(594)
  johanr closed file ./new file (numopen=0) NT_STATUS_OK


I run ntfs-3g 2009.1.1 that uses default options.

This may be a archlinux specific problem, sorry for spamming here if it is.
Comment 1 Jeremy Allison 2009-02-22 11:56:12 UTC
Known bug, this will be fixed in 3.3.1 (due out on Tues 24th Feb).
Sorry for the problem.
Jeremy.
Comment 2 Karolin Seeger 2009-05-03 03:08:44 UTC
Closing out bug report.
Please re-open if it's still an issue.

Thanks for reporting!